| FFmpegKit Android API 6.0

Loading...
Searching...
No Matches
Data Structures | Typedefs | Functions | Variables
fftools_ffmpeg_demux.c File Reference

Go to the source code of this file.

## Data Structures
struct | Demuxer
struct | DemuxMsg

## Typedefs
typedef struct Demuxer | Demuxer
typedef struct DemuxMsg | DemuxMsg

## Functions
static Demuxer * | demuxer_from_ifile (InputFile *f)
static void | report_new_stream (Demuxer *d, const AVPacket *pkt)
static void | ifile_duration_update (Demuxer *d, InputStream *ist, int64_t last_duration)
static int | seek_to_start (Demuxer *d)
static void | ts_fixup (Demuxer *d, AVPacket *pkt, int *repeat_pict)
static void | thread_set_name (InputFile *f)
static void * | input_thread (void *arg)
static void | thread_stop (Demuxer *d)
static int | thread_start (Demuxer *d)
int | ifile_get_packet (InputFile *f, AVPacket **pkt)
static void | ist_free (InputStream **pist)
void | ifile_close (InputFile **pf)
static const AVCodec * | choose_decoder (const OptionsContext *o, AVFormatContext *s, AVStream *st, enum HWAccelID hwaccel_id, enum AVHWDeviceType hwaccel_device_type)
static int | guess_input_channel_layout (InputStream *ist)
static void | add_display_matrix_to_stream (const OptionsContext *o, AVFormatContext *ctx, AVStream *st)
static void | add_input_streams (const OptionsContext *o, Demuxer *d)
static void | dump_attachment (AVStream *st, const char *filename)
int | ifile_open (const OptionsContext *o, const char *filename)

## Variables
static const char *const | opt_name_discard [] = {"discard", NULL}
static const char *const | opt_name_reinit_filters [] = {"reinit_filter", NULL}
static const char *const | opt_name_fix_sub_duration [] = {"fix_sub_duration", NULL}
static const char *const | opt_name_canvas_sizes [] = {"canvas_size", NULL}
static const char *const | opt_name_guess_layout_max [] = {"guess_layout_max", NULL}
static const char *const | opt_name_ts_scale [] = {"itsscale", NULL}
static const char *const | opt_name_hwaccels [] = {"hwaccel", NULL}
static const char *const | opt_name_hwaccel_devices [] = {"hwaccel_device", NULL}
static const char *const | opt_name_hwaccel_output_formats [] = {"hwaccel_output_format", NULL}
static const char *const | opt_name_autorotate [] = {"autorotate", NULL}
static const char *const | opt_name_display_rotations [] = {"display_rotation", NULL}
static const char *const | opt_name_display_hflips [] = {"display_hflip", NULL}
static const char *const | opt_name_display_vflips [] = {"display_vflip", NULL}

## Typedef Documentation

## ◆ Demuxer

typedef struct Demuxer Demuxer

## ◆ DemuxMsg

typedef struct DemuxMsg DemuxMsg

## Function Documentation

## ◆ add_display_matrix_to_stream()

static void add_display_matrix_to_stream | ( | const OptionsContext * | o,
|  | AVFormatContext * | ctx,
|  | AVStream * | st
| ) |  |
| static

Definition at line 575 of file fftools_ffmpeg_demux.c.

## ◆ add_input_streams()

static void add_input_streams | ( | const OptionsContext * | o,
|  | Demuxer * | d
| ) |  |
| static

Definition at line 609 of file fftools_ffmpeg_demux.c.

## ◆ choose_decoder()

static const AVCodec * choose_decoder | ( | const OptionsContext * | o,
|  | AVFormatContext * | s,
|  | AVStream * | st,
|  | enum HWAccelID | hwaccel_id,
|  | enum AVHWDeviceType | hwaccel_device_type
| ) |  |
| static

Definition at line 515 of file fftools_ffmpeg_demux.c.

## ◆ demuxer_from_ifile()

static Demuxer * demuxer_from_ifile | ( | InputFile * | f | ) |
| static

Definition at line 100 of file fftools_ffmpeg_demux.c.

## ◆ dump_attachment()

static void dump_attachment | ( | AVStream * | st,
|  | const char * | filename
| ) |  |
| static

Definition at line 827 of file fftools_ffmpeg_demux.c.

## ◆ guess_input_channel_layout()

static int guess_input_channel_layout | ( | InputStream * | ist | ) |
| static

Definition at line 556 of file fftools_ffmpeg_demux.c.

## ◆ ifile_close()

void ifile_close | ( | InputFile ** | pf | ) |

Definition at line 496 of file fftools_ffmpeg_demux.c.

## ◆ ifile_duration_update()

static void ifile_duration_update | ( | Demuxer * | d,
|  | InputStream * | ist,
|  | int64_t | last_duration
| ) |  |
| static

Definition at line 119 of file fftools_ffmpeg_demux.c.

## ◆ ifile_get_packet()

int ifile_get_packet | ( | InputFile * | f,
|  | AVPacket ** | pkt
| ) |  |

Get next input packet from the demuxer.

Parameters

  pkt | the packet is written here when this function returns 0

Returns
  - 0 when a packet has been read successfully
  - 1 when stream end was reached, but the stream is looped; caller should flush decoders and read from this demuxer again
  - a negative error code on failure

Definition at line 427 of file fftools_ffmpeg_demux.c.

## ◆ ifile_open()

int ifile_open | ( | const OptionsContext * | o,
|  | const char * | filename
| ) |  |

Definition at line 859 of file fftools_ffmpeg_demux.c.

## ◆ input_thread()

static void * input_thread | ( | void * | arg | ) |
| static

Definition at line 254 of file fftools_ffmpeg_demux.c.

## ◆ ist_free()

static void ist_free | ( | InputStream ** | pist | ) |
| static

Definition at line 474 of file fftools_ffmpeg_demux.c.

## ◆ report_new_stream()

static void report_new_stream | ( | Demuxer * | d,
|  | const AVPacket * | pkt
| ) |  |
| static

Definition at line 105 of file fftools_ffmpeg_demux.c.

## ◆ seek_to_start()

static int seek_to_start | ( | Demuxer * | d | ) |
| static

Definition at line 136 of file fftools_ffmpeg_demux.c.

## ◆ thread_set_name()

static void thread_set_name | ( | InputFile * | f | ) |
| static

Definition at line 247 of file fftools_ffmpeg_demux.c.

## ◆ thread_start()

static int thread_start | ( | Demuxer * | d | ) |
| static

Definition at line 380 of file fftools_ffmpeg_demux.c.

## ◆ thread_stop()

static void thread_stop | ( | Demuxer * | d | ) |
| static

Definition at line 364 of file fftools_ffmpeg_demux.c.

## ◆ ts_fixup()

static void ts_fixup | ( | Demuxer * | d,
|  | AVPacket * | pkt,
|  | int * | repeat_pict
| ) |  |
| static

Definition at line 186 of file fftools_ffmpeg_demux.c.

## Variable Documentation

## ◆ opt_name_autorotate

const char* const opt_name_autorotate[] = {"autorotate", NULL}
| static

Definition at line 67 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_canvas_sizes

const char* const opt_name_canvas_sizes[] = {"canvas_size", NULL}
| static

Definition at line 61 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_discard

const char* const opt_name_discard[] = {"discard", NULL}
| static

Definition at line 58 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_display_hflips

const char* const opt_name_display_hflips[] = {"display_hflip", NULL}
| static

Definition at line 69 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_display_rotations

const char* const opt_name_display_rotations[] = {"display_rotation", NULL}
| static

Definition at line 68 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_display_vflips

const char* const opt_name_display_vflips[] = {"display_vflip", NULL}
| static

Definition at line 70 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_fix_sub_duration

const char* const opt_name_fix_sub_duration[] = {"fix_sub_duration", NULL}
| static

Definition at line 60 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_guess_layout_max

const char* const opt_name_guess_layout_max[] = {"guess_layout_max", NULL}
| static

Definition at line 62 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_hwaccel_devices

const char* const opt_name_hwaccel_devices[] = {"hwaccel_device", NULL}
| static

Definition at line 65 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_hwaccel_output_formats

const char* const opt_name_hwaccel_output_formats[] = {"hwaccel_output_format", NULL}
| static

Definition at line 66 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_hwaccels

const char* const opt_name_hwaccels[] = {"hwaccel", NULL}
| static

Definition at line 64 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_reinit_filters

const char* const opt_name_reinit_filters[] = {"reinit_filter", NULL}
| static

Definition at line 59 of file fftools_ffmpeg_demux.c.

## ◆ opt_name_ts_scale

const char* const opt_name_ts_scale[] = {"itsscale", NULL}
| static

Definition at line 63 of file fftools_ffmpeg_demux.c.